Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.common.util.logging
Class LogDomains

    java.lang.Object
      com.sun.common.util.logging.LogDomains

    public class LogDomains

extends Object

Class LogDomains

Field Summary
`static String` | `CMN_LOGGER` Field
`static String` | `DOMAIN_ROOT` DOMAIN_ROOT the prefix for the logger name.
`static String` | `PACKAGE` Package where the resource bundle is located
`static String` | `RESOURCE_BUNDLE` RESOURCE_BUNDLE the name of the logging resource bundles.

Constructor Summary
`LogDomains()`

Method Summary
`static Logger` | `getLogger(String name)` Method getLogger

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOMAIN_ROOT

    public static final String DOMAIN_ROOT

  DOMAIN_ROOT the prefix for the logger name. This is public only so it can be accessed w/in the ias package space.

  See Also:
    Constant Field Values

### RESOURCE_BUNDLE

    public static final String RESOURCE_BUNDLE

  RESOURCE_BUNDLE the name of the logging resource bundles.

  See Also:
    Constant Field Values

### PACKAGE

    public static final String PACKAGE

  Package where the resource bundle is located

  See Also:
    Constant Field Values

### CMN_LOGGER

    public static final String CMN_LOGGER

  Field

  See Also:
    Constant Field Values

Constructor Detail

### LogDomains

    public LogDomains()

Method Detail

### getLogger

    public static Logger getLogger(String name)

  Method getLogger

  Parameters:
    `name` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.